﻿param (
    [string]$ApppoolName,
    [string]$stopstart      
)

Write-Output "Impeo Pool Name - $ApppoolName"
Write-Output "Action selected - $stopstart"
     
if ($Action -eq "stop")
{
    Write-Output "Stopping the Application Pool - ($AppPoolName)......."
    import-module WebAdministration
    if((Get-WebAppPoolState $AppPoolName).Value -ne 'Stopped')
    {
		Write-Output "Run: Stop-WebAppPool -Name $AppPoolName"
        Stop-WebAppPool -Name $AppPoolName
        Write-Output "Application Pool - ($AppPoolName) stopped successfully!" 
    }
     else
    {
        Write-Output "Application Pool - ($AppPoolName) already in stop state!"
    }
}

if ($Action -eq "start")
{
    Write-Output "Starting the Application Pool - ($AppPoolName)......."
    import-module WebAdministration
    if((Get-WebAppPoolState $AppPoolName).Value -ne 'Started')
    {
		Write-Output "Run: Start-WebAppPool -Name $AppPoolName"
        Start-WebAppPool -Name $AppPoolName
        Write-Output "Application Pool - ($AppPoolName) started successfully!"
    }
    else
    {
        Write-Output "Application Pool - ($AppPoolName) already in start state!"
    }
}

if ($Action -eq "restart")
{
    Write-Output "Restarting the Application Pool - ($AppPoolName)......."
    import-module WebAdministration
    if((Get-WebAppPoolState $AppPoolName).Value -ne 'Stopped')
    {
		Write-Output "Run: Restart-WebAppPool -Name $AppPoolName"
        Restart-WebAppPool -Name $AppPoolName
        Write-Output "Application Pool - ($AppPoolName) restarted successfully!"
    }
    else
    {
        Write-Output "Application Pool - ($AppPoolName) can not be restarted as it is in stop state. Please start it first!"
    }
}